
TYPO3.Fluid - Bug # 27286

Status: Closed Priority: Should have
Author: Fernando Arconada Category: ViewHelpers
Created: 2011-06-07 Assigned To:
Updated: 2012-03-13 Due date:
Has patch: No
Affected Flow version: FLOW3 1.0.0
Subject: FLUID: #1: Warning: htmlspecialchars(): Invalid multibyte sequence in argument
Description

I have an exception just trying to retrieve objects from DB and displaying in a view
$apuntes = $this->apunteRepository->findAll();
$this->view->assign('apuntes',$apuntes);

Attached an export from my DB and MySQL variables

Note: this tables and data were not created by Doctrine. I have imported them from a mysqldump export from other DB.

Uncaught Exception in FLOW3
#1: Warning: htmlspecialchars(): Invalid multibyte sequence in argument in
/var/www/html/FLOW3/Data/Temporary/Development/Cache/Code/FLOW3_Object_Classes/F3_Fluid_ViewHelpers_EscapeViewHelper_Original.php line 79 (More information)
er_Original.php line 79 (More information)

F3\FLOW3\Error\Exception thrown in file
Packages/Framework/FLOW3/Classes/Error/ErrorHandler.php in line 82.

Go to the FORGE issue tracker and report the issue - if you think it is a bug!

51 F3\FLOW3\Error\ErrorHandler::handleError(2, "htmlspecialchars(): Invalid multibyte sequence in argument",
"/var/www/html/FLOW3/Data/Temporary/Development/Cac…F3_Fluid_ViewHelpers_EscapeViewHelper_Original.php", 79, array)

50 htmlspecialchars("Santo�a/Laredo 18/8/06", 2, "UTF-8")

/var/www/html/FLOW3/Data/Temporary/Development/Cache/Code/FLOW3_Object_Classes/F3_Fluid_ViewHelpers_EscapeViewHel
er_Original.php:

00077:   switch ($type) {
00078:    case 'html':

00079:     return htmlspecialchars($value, ENT_COMPAT, $encoding);

00080:    break;
00081:    case 'entities':

History
#1 - 2011-06-20 15:11 - Karsten Dambekalns
- Status changed from New to Needs Feedback
The data you imported, is that in UTF-8 as well? This is usually caused by an encoding mismatch...

#2 - 2011-06-20 15:11 - Karsten Dambekalns
- Project changed from TYPO3.Flow to TYPO3.Fluid

#3 - 2011-06-20 15:12 - Karsten Dambekalns
- Category set to ViewHelpers
- Has patch set to No

#4 - 2011-10-21 13:37 - Karsten Dambekalns
- Affected Flow version set to FLOW3 1.0.0

#5 - 2012-03-12 19:11 - Christian Müller

Fernando did you check if this was an encoding issue with your data?

#6 - 2012-03-12 19:13 - Fernando Arconada

close it, is quite old and now all seems to work right

#7 - 2012-03-13 10:05 - Bastian Waidelich
- Status changed from Needs Feedback to Closed

Files
db.sql 2.4 kB 2011-06-07 Fernando Arconada
variables.txt 7.9 kB 2011-06-07 Fernando Arconada
